package mx.com.amx.mx.dda.crn.dto;

import java.io.Serializable;

public class ItemAumentoCostoActivoFijoDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String codigoSAP;
	private String aumento;
	private String fechaInicio;
	private String fechaContabilizacion;
        private String subnumero;
	
	public String getCodigoSAP() {
		return codigoSAP;
	}
	public void setCodigoSAP(String codigoSAP) {
		this.codigoSAP = codigoSAP;
	}
	public String getAumento() {
		return aumento;
	}
	public void setAumento(String aumento) {
		this.aumento = aumento;
	}
	public String getFechaInicio() {
		return fechaInicio;
	}
	public void setFechaInicio(String fechaInicio) {
		this.fechaInicio = fechaInicio;
	}
	public String getFechaContabilizacion() {
		return fechaContabilizacion;
	}
	public void setFechaContabilizacion(String fechaContabilizacion) {
		this.fechaContabilizacion = fechaContabilizacion;
	}

        public String getSubnumero() {
            return subnumero;
        }

        public void setSubnumero(String subnumero) {
            this.subnumero = subnumero;
        }

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" codigoSAP: _" + this.getCodigoSAP() + "_" + NEW_LINE);
		result.append(" aumento: _" + this.getAumento() + "_" + NEW_LINE);
		result.append(" fechaInicio: _" + this.getFechaInicio() + "_" + NEW_LINE);
		result.append(" fechaContabilizacion: _" + this.getFechaContabilizacion() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
	
}
